%define	name		libgconf-java
%define apiversion	2.8
%define	version		%{apiversion}.2
%define	release		1jpp

Summary:	Java bindings for the GConf library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
URL:		http://java-gnome.sourceforge.net/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/libgconf-java/2.8/libgconf-java-2.8.2.tar.bz2
# Patches from fitzsim
Patch0:		libgconf-java-install.patch
Patch1:		libgconf-java-gtk-jar.patch
BuildRequires:  %{_libdir}/pkgconfig/gconf-2.0.pc
BuildRequires:  libgtk-java
BuildRequires:	libgtk-java-javadoc
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libgconf-java is a set of Java bindings for the GConf library that 
allow GConf applications to be written in Java.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

[ -f configure ] || %__ln_s autogen.sh configure

%build
export JAVAC=%{javac}
export JAVADOC=%{javadoc}
export JAR=%{jar}
export DB1=%{_bindir}/db2html
%configure --without-gcj-compile
%make JAVA_INCLUDES+="-I%{java_home}/include -I%{java_home}/include/linux"

%javadoc -d api \
                -sourcepath src/java \
                -public -use -version -author \
                -windowtitle "Java-Gnome %{apiversion} GConf API Reference" \
                -doctitle "Java-Gnome %{apiversion} GConf API Reference" \
                -footer "Please send any bug reports, comments, or \
suggestions for the API or documentation to  <a \
href=\"mailto:java-gnome-developer@lists.sf.net\">java-gnome-developer@\
lists.sf.net</a>" \
		-link %{_javadocdir}/libgtk-java \
                org.gnu.gconf

%install
%__rm -rf %{buildroot}
%makeinstall

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%clean
%__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc ChangeLog NEWS
%attr(0755,root,root) %{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/java/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Fri Dec 10 2004 David Walluck <david@jpackage.org> 0:2.8.2-1jpp
- release
